package com.usky.oa.mapper;

import com.usky.oa.domain.OaDocument;
import com.usky.common.mybatis.core.CrudMapper;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 单据总表 Mapper 接口
 * </p>
 *
 * @author fu
 * @since 2024-12-26
 */
public interface OaDocumentMapper extends CrudMapper<OaDocument> {

    // 动态创建表
    void createTable(Map<String, Object> params);

    // 动态插入数据
    void insertData(Map<String, Object> params);

    // 动态查询数据
    List<Map<String, Object>> selectData(Map<String, Object> params);

    // 动态更新数据
    void updateData(Map<String, Object> params);

    // 动态删除数据
    void deleteData(Map<String, Object> params);
}
